<?php
namespace Ak\Wp\Shortcode;

/**
 * Shortcode handler.
 *
 * @package Ak\Wp\Shortcode
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/wp-shortcode
 */
interface ShortcodeInterface
{
    /**
     * Vraća renderirani HTML.
     *
     * @param array $atts
     * @param string|null $content
     *
     * @return string
     */
    public function render(array $atts, string $content = null): string;
}